# Задание: Банковский вклад. Пользователь делает вклад в размере a рублей сроком на years
# лет под 10% годовых
# (каждый год размер его вклада увеличивается на 10%.
# Эти деньги прибавляются к сумме вклада,
# и на них в следующем году тоже будут проценты).
# Написать программу bank, принимающая аргументы a и years,
# и возвращающую сумму, которая будет на счету пользователя.
def final_sum(deposit, years):
    if years == 0:
        return deposit
    else:
        deposit += deposit * 0.1
        return final_sum(deposit, years-1)
print(final_sum(1000,5))